! Copyright (C) GFD Dennou Club, 2000.  All rights reserved
! sysdepabort.f90 - 環境依存性ルーチン（プログラム停止)

! メッセージを表示してプログラムを停止する。
! 通常の処理系では abort() があるのでこれでいい。たいていは異常終了する。
! abort() が実装されていない処理系では何もしない abort() を造ると
! あとの stop でとめることができる。

subroutine SysdepAbort(string)
    use gtdata_generic, only: GTVarSync
    character(len = *), intent(in):: string
    integer:: stat
    external abort
    write(*, *) trim(string)
    call GTVarSync(stat=stat)
    call abort()
    stop 1
end subroutine
